## astra-toolbox 1.8.3

=== debian/changelog ===
astra-toolbox (1.8.3-2) unstable; urgency=medium

  [ Sébastien Delafond]
  * Update maintainer and salsa location
  
  [ Stéphane Glondu ]
  * Build with llvm9 (Closes: #968497)

 -- Sebastien Delafond <seb@debian.org>  Tue, 01 Sep 2020 08:50:24 +0200

astra-toolbox (1.8.3-1) unstable; urgency=medium

  * Initial release (Closes: #955357)

 -- Sebastien Delafond <seb@debian.org>  Mon, 06 Apr 2020 13:36:16 +0200
