=== debian/control ===
Source: astra-toolbox
Section: non-free/python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 11), libboost-dev, nvidia-cuda-toolkit, clang-9, python3-dev, cython3, python3-numpy, python3-six, python3-scipy, liboctave-dev
Standards-Version: 4.4.1
Homepage: https://github.com/centreon/astra-toolbox
Vcs-Browser: https://salsa.debian.org/science-team/astra-toolbox
Vcs-Git: https://salsa.debian.org/science-team/astra-toolbox.git

Package: python3-astra-toolbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3, python3-numpy, python3-six, python3-scipy
Description: toolbox of high-performance GPU primitives for 2D and 3D tomography (Python)
 It supports 2D parallel and fan beam geometries, and 3D parallel and
 cone beam. All of them have highly flexible source/detector
 positioning.
 .
 A large number of 2D and 3D algorithms are available, including FBP,
 SIRT, SART, CGLS.
 .
 The basic forward and backward projection operations are
 GPU-accelerated, and directly callable from Octave and Python to
 enable building new algorithms.
 .
 This is the Python library.

Package: octave-astra-toolbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: toolbox of high-performance GPU primitives for 2D and 3D tomography (octave)
 It supports 2D parallel and fan beam geometries, and 3D parallel and
 cone beam. All of them have highly flexible source/detector
 positioning.
 .
 A large number of 2D and 3D algorithms are available, including FBP,
 SIRT, SART, CGLS.
 .
 The basic forward and backward projection operations are
 GPU-accelerated, and directly callable from Octave and Python to
 enable building new algorithms.
 .
 This is the Octave library.
