=== debian/watch ===
version=3
https://github.com/astra-toolbox/astra-toolbox/tags .*/(\d[\d\.]*)\.tar\.gz debian uupdate
