## astra-toolbox 2.1.0

=== debian/changelog ===
astra-toolbox (2.1.0-4) unstable; urgency=medium

  * Team upload

  [ Bas Couwenberg ]
  * Switch to cython3-legacy.
    Closes: #1056787
  * Change liboctave-dev to octave-dev.

  [ Andreas Tille ]
  * Remove NVCCFLAGS="-ccbin clang-9" variable
    Closes: #1023675
  * Standards-Version: 4.6.2 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix install target

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jan 2024 23:01:19 +0100

astra-toolbox (2.1.0-3) unstable; urgency=medium

  * Team upload
  * Fix build with CUDA 12 (Closes: #1036677)

 -- Bastian Germann <bage@debian.org>  Tue, 20 Jun 2023 17:36:46 +0200

astra-toolbox (2.1.0-2) unstable; urgency=medium

  * Team upload
  * Switch to nvidia-cuda-toolkit-gcc (Closes: #1023674)
  * d/control: use Freexian Packaging Team in Uploaders

 -- Bastian Germann <bage@debian.org>  Mon, 02 Jan 2023 17:26:13 +0100

astra-toolbox (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * BD on gcc-10 to avoid #1003037
  * Fix python3 pkg name for autopkgtest

 -- Neil Williams <codehelp@debian.org>  Tue, 24 May 2022 10:28:12 +0100

astra-toolbox (1.8.3-10) unstable; urgency=medium

  * Team upload.
  * Fix lintian error for missing call to dh_numpy
  * Update homepage change (Closes: #999577)
  * Upgrade to debhelper-compat 13
  * Switch to default llvm-toolchain (Closes: #1000935)

 -- Neil Williams <codehelp@debian.org>  Mon, 11 Oct 2021 09:07:15 +0100

astra-toolbox (1.8.3-9) unstable; urgency=medium

  * Team upload.
  * Add Frédéric Picca as Uploader
  * Upgrade to llvm-toolchain-11 to allow removal of llvm-toolchain-9
    (Closes: #974791)
  * Bump Standards Version
  * Add dh-python to calculate Python3 dependencies correctly - fixes
    lintian warning

 -- Neil Williams <codehelp@debian.org>  Thu, 07 Oct 2021 08:30:35 +0100

astra-toolbox (1.8.3-8) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Bump-up d/watch version
  * Upload amd64 binary

 -- Sebastien Delafond <seb@debian.org>  Mon, 13 Sep 2021 12:51:15 +0200

astra-toolbox (1.8.3-7) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Sebastien Delafond <seb@debian.org>  Mon, 15 Mar 2021 15:32:01 +0100

astra-toolbox (1.8.3-6) unstable; urgency=medium

  * Bump-up Standards-Version
  * Fix d/copyright

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Mar 2021 08:15:32 +0100

astra-toolbox (1.8.3-5) unstable; urgency=medium

  * Move from non-free to contrib, as it only depends on Nvidia's CUDA
    toolkit

 -- Sebastien Delafond <seb@debian.org>  Wed, 16 Dec 2020 12:00:19 +0100

astra-toolbox (1.8.3-4) unstable; urgency=medium

  * d/rules: really clean after ourselves (Closes: #976302)

 -- Sebastien Delafond <seb@debian.org>  Mon, 07 Dec 2020 12:44:57 +0100

astra-toolbox (1.8.3-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Support python3.9 (Closes: #972907)

 -- Sebastien Delafond <seb@debian.org>  Mon, 30 Nov 2020 13:01:43 +0100
