=== debian/control ===
--- 
+++ 
@@ -1,18 +1,33 @@
 Source: astra-toolbox
-Section: non-free/python
+Section: contrib/python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 11), libboost-dev, nvidia-cuda-toolkit, clang-9, python3-dev, cython3, python3-numpy, python3-six, python3-scipy, liboctave-dev
-Standards-Version: 4.4.1
-Homepage: https://github.com/centreon/astra-toolbox
+Uploaders:
+ Freexian Packaging Team <team+freexian@tracker.debian.org>,
+ Picca Frédéric-Emmanuel <picca@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ libboost-dev,
+ nvidia-cuda-toolkit-gcc,
+ clang,
+ python3-dev,
+ cython3-legacy,
+ python3-numpy,
+ python3-six,
+ python3-scipy,
+ octave-dev,
+ dh-python,
+Standards-Version: 4.6.2
+Homepage: https://github.com/astra-toolbox/astra-toolbox
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/science-team/astra-toolbox
 Vcs-Git: https://salsa.debian.org/science-team/astra-toolbox.git
 
 Package: python3-astra-toolbox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python3, python3-numpy, python3-six, python3-scipy
-Description: toolbox of high-performance GPU primitives for 2D and 3D tomography (Python)
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Description: toolbox of high-performance GPU primitives for 2D and 3D tomography (Python3)
  It supports 2D parallel and fan beam geometries, and 3D parallel and
  cone beam. All of them have highly flexible source/detector
  positioning.
@@ -24,7 +39,7 @@
  GPU-accelerated, and directly callable from Octave and Python to
  enable building new algorithms.
  .
- This is the Python library.
+ This is the Python3 library.
 
 Package: octave-astra-toolbox
 Architecture: any
