=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 	# python package
 	mkdir -p $(BUILD_DIRECTORY_PYTHON)
-	export NVCCFLAGS="-ccbin clang-9" ; dh_auto_configure --builddirectory $(BUILD_DIRECTORY_PYTHON) --sourcedirectory=$(SOURCE_DIRECTORY) -- $(CONFIGURE_FLAGS_PYTHON)
+	dh_auto_configure --builddirectory $(BUILD_DIRECTORY_PYTHON) --sourcedirectory=$(SOURCE_DIRECTORY) -- $(CONFIGURE_FLAGS_PYTHON)
 
 	# octave package
 	mkdir -p $(BUILD_DIRECTORY_OCTAVE)
@@ -37,9 +37,12 @@
 	# python package
 	dh_auto_install --builddirectory $(BUILD_DIRECTORY_PYTHON) --destdir debian/python3-astra-toolbox
 	find debian/python3-astra-toolbox -name __pycache__ -depth -exec rm -fr {} \;
-	mkdir -p debian/python3-astra-toolbox/usr/lib/python3
-	mv debian/python3-astra-toolbox/usr/lib/python3.8/site-packages debian/python3-astra-toolbox/usr/lib/python3/dist-packages
-	rm -fr debian/python3-astra-toolbox/usr/lib/python3.8
+	mkdir -p debian/python3-astra-toolbox/usr/lib
+	mv debian/python3-astra-toolbox/usr/local/lib/* debian/python3-astra-toolbox/usr/lib/
+	mv debian/python3-astra-toolbox//usr/lib/python3*/dist-packages/astra_toolbox-*.egg/astra debian/python3-astra-toolbox//usr/lib/python3*/dist-packages
+	rm -fr debian/python3-astra-toolbox/usr/local
+	dh_python3 -p python3-astra-toolbox
+	dh_numpy3 -p python3-astra-toolbox
 
 	# octave package
 	dh_auto_install --builddirectory $(BUILD_DIRECTORY_OCTAVE) --destdir debian/octave-astra-toolbox
@@ -48,3 +51,5 @@
 override_dh_auto_clean:
 	dh_auto_clean --builddirectory $(BUILD_DIRECTORY_PYTHON)
 	dh_auto_clean --builddirectory $(BUILD_DIRECTORY_OCTAVE)
+	rm -f $(SOURCE_DIRECTORY)/config.sub  $(SOURCE_DIRECTORY)/config.guess  $(SOURCE_DIRECTORY)/install-sh
+	rm -f python/astra/*.cpp  python/astra/config.pxi
