## astra-toolbox 2.3.0

=== debian/changelog ===
astra-toolbox (2.3.0-4) unstable; urgency=medium

  * Team upload
  * Rebuild for Octave 10 transition

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 25 Sep 2025 17:28:01 +0200

astra-toolbox (2.3.0-3) unstable; urgency=medium

  * Team Upload
  * Build amd64 binary

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 17:34:59 +0200

astra-toolbox (2.3.0-2) unstable; urgency=medium

  * Team Upload
  * Remove leftover import of "six" using upstream patch
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Tue, 22 Apr 2025 21:47:41 +0200

astra-toolbox (2.3.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Remove Freexian Packaging Team from uploaders

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 2.3.0
  * d/control: Use cython3
  * d/control: B-D remove useless clang
  * d/control: use dh-sequence-[octave|python3|numpy3]
  * wrap-and-sort -ast
  * Bug fix: "switch away from cython-legacy", thanks to Chris
    Hofstaedtler (Closes: #1092777).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 13 Mar 2025 11:53:12 +0100

astra-toolbox (2.1.0-5) unstable; urgency=medium

  * Team Upload
  * Add missing runtime dependencies (Closes: #1074375)
    + python3-scipy
    + python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sat, 24 Aug 2024 16:45:46 +0200
