=== debian/control ===
--- 
+++ 
@@ -3,30 +3,34 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
- Freexian Packaging Team <team+freexian@tracker.debian.org>,
- Picca Frédéric-Emmanuel <picca@debian.org>
+ Picca Frédéric-Emmanuel <picca@debian.org>,
 Build-Depends:
+ cython3,
  debhelper-compat (= 13),
+ dh-octave,
+ dh-sequence-numpy3,
+ dh-sequence-octave,
+ dh-sequence-python3,
  libboost-dev,
  nvidia-cuda-toolkit-gcc,
- clang,
  python3-dev,
- cython3-legacy,
  python3-numpy,
- python3-six,
  python3-scipy,
- octave-dev,
- dh-python,
-Standards-Version: 4.6.2
+ python3-setuptools,
+Standards-Version: 4.7.2
 Homepage: https://github.com/astra-toolbox/astra-toolbox
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-python, autopkgtest-pkg-octave
 Vcs-Browser: https://salsa.debian.org/science-team/astra-toolbox
 Vcs-Git: https://salsa.debian.org/science-team/astra-toolbox.git
 
 Package: python3-astra-toolbox
 Architecture: any
-Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Depends:
+ python3-scipy,
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: toolbox of high-performance GPU primitives for 2D and 3D tomography (Python3)
  It supports 2D parallel and fan beam geometries, and 3D parallel and
  cone beam. All of them have highly flexible source/detector
@@ -43,7 +47,10 @@
 
 Package: octave-astra-toolbox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${octave:Depends},
+ ${shlibs:Depends},
 Description: toolbox of high-performance GPU primitives for 2D and 3D tomography (octave)
  It supports 2D parallel and fan beam geometries, and 3D parallel and
  cone beam. All of them have highly flexible source/detector
